Parameters

title
string
Description
The title or display name of the form.
status
string
Description
The status of the form (e.g., active, inactive, draft).
attributes
array
items
dictionary
PUT/v1/forms/{{form_id}}
curl https://api.tradly.app/v1/forms/{{form_id}} \
  -H "Authorization: Bearer YOUR_PUBLISHABLE_OR_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -X PUT \
  -d '{
  "title": "Updated Customer Survey",
  "status": "active",
  "attributes": [
    {
      "attribute_id": 5,
      "required": true,
      "order_by": 1
    }
  ]
}'
RESPONSE
{
  "status": true,
  "data": {
    "form": {
      "id": 2,
      "title": "Updated Customer Survey",
      "description": "Annual customer satisfaction survey",
      "status": "active",
      "slug": "customer-survey",
      "metadata": null,
      "created_at": 1723068000,
      "updated_at": 1723068000,
      "attributes": [
        {
          "id": 12,
          "form_id": 2,
          "attribute_id": 5,
          "required": true,
          "order_by": 1,
          "metadata": null,
          "attribute": {
            "id": 5,
            "field_type": "text",
            "type": "string",
            "optional": false,
            "icon_path": "",
            "active": true,
            "metadata": {},
            "values": []
          }
        }
      ]
    }
  }
}